<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback3 Method (IEdmRevision7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevision7 Interface : Rollback3 Method (IEdmRevision7)

Visual Basic
C#
C++/CLI

bsComment
  Comment for this revision

vbRedirectParentRefs
  True to roll back the file with its parent references, false to roll back the file without its parent references

Rolls this file back to the version of this revision.

# Syntax

Visual Basic |
--- | ---

    Sub Rollback3( _
       ByVal bsComment As System.String, _
       ByVal vbRedirectParentRefs As System.Boolean _
    )

C# |
--- | ---

    void Rollback3(
       System.string bsComment,
       System.bool vbRedirectParentRefs
    )

C++/CLI |
--- | ---

    void Rollback3(
    &   System.String^ bsComment,
    &   System.bool vbRedirectParentRefs
    )

#### Parameters

bsComment
  Comment for this revision
vbRedirectParentRefs
  True to roll back the file with its parent references, false to roll back the file without its parent references

# Example

Roll Back Revisions (C#)
Roll Back Revisions (VB.NET)

# Remarks

This method destroys all versions after this revision number. To undo this rollback operation, you need to restore a backup of the entire database and file archives.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The user lacks permission to delete files.

# See Also

####

IEdmRevision7 Interface
IEdmRevision7 Members
IEdmEnumeratorVersion7::Rollback3 Method ()
IEdmVersion8::Rollback3 Method ()

# Availability

SOLIDWORKS PDM Professional 2017